/* Include files */

#include "diffserv_model_sfun.h"
#include "diffserv_model_sfun_debug_macros.h"
#include "c1_diffserv_model.h"
#include "c2_diffserv_model.h"
#include "c3_diffserv_model.h"
#include "c4_diffserv_model.h"
#include "c5_diffserv_model.h"
#include "c6_diffserv_model.h"
#include "c7_diffserv_model.h"
#include "c8_diffserv_model.h"
#include "c9_diffserv_model.h"
#include "c10_diffserv_model.h"
#include "c11_diffserv_model.h"
#include "c12_diffserv_model.h"
#include "c13_diffserv_model.h"
#include "c14_diffserv_model.h"
#include "c15_diffserv_model.h"
#include "c16_diffserv_model.h"
#include "c17_diffserv_model.h"
#include "c18_diffserv_model.h"
#include "c19_diffserv_model.h"
#include "c20_diffserv_model.h"
#include "c21_diffserv_model.h"
#include "c22_diffserv_model.h"
#include "c23_diffserv_model.h"
#include "c24_diffserv_model.h"
#include "c25_diffserv_model.h"
#include "c26_diffserv_model.h"
#include "c27_diffserv_model.h"
#include "c28_diffserv_model.h"
#include "c29_diffserv_model.h"
#include "c30_diffserv_model.h"
#include "c31_diffserv_model.h"
#include "c32_diffserv_model.h"
#include "c33_diffserv_model.h"
#include "c34_diffserv_model.h"
#include "c35_diffserv_model.h"
#include "c36_diffserv_model.h"
#include "c37_diffserv_model.h"
#include "c38_diffserv_model.h"
#include "c39_diffserv_model.h"
#include "c40_diffserv_model.h"
#include "c41_diffserv_model.h"
#include "c50_diffserv_model.h"
#include "c59_diffserv_model.h"
#include "c60_diffserv_model.h"
#include "c61_diffserv_model.h"
#include "c62_diffserv_model.h"
#include "c63_diffserv_model.h"
#include "c64_diffserv_model.h"
#include "c65_diffserv_model.h"
#include "c66_diffserv_model.h"

/* Type Definitions */

/* Named Constants */

/* Variable Declarations */

/* Variable Definitions */
uint32_T _diffserv_modelMachineNumber_;
real_T _sfTime_;

/* Function Declarations */

/* Function Definitions */
void diffserv_model_initializer(void)
{
}

void diffserv_model_terminator(void)
{
}

/* SFunction Glue Code */
unsigned int sf_diffserv_model_method_dispatcher(SimStruct *simstructPtr,
  unsigned int chartFileNumber, const char* specsCksum, int_T method, void *data)
{
  if (chartFileNumber==1) {
    c1_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==2) {
    c2_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==3) {
    c3_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==4) {
    c4_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==5) {
    c5_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==6) {
    c6_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==7) {
    c7_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==8) {
    c8_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==9) {
    c9_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==10) {
    c10_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==11) {
    c11_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==12) {
    c12_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==13) {
    c13_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==14) {
    c14_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==15) {
    c15_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==16) {
    c16_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==17) {
    c17_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==18) {
    c18_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==19) {
    c19_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==20) {
    c20_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==21) {
    c21_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==22) {
    c22_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==23) {
    c23_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==24) {
    c24_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==25) {
    c25_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==26) {
    c26_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==27) {
    c27_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==28) {
    c28_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==29) {
    c29_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==30) {
    c30_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==31) {
    c31_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==32) {
    c32_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==33) {
    c33_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==34) {
    c34_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==35) {
    c35_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==36) {
    c36_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==37) {
    c37_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==38) {
    c38_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==39) {
    c39_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==40) {
    c40_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==41) {
    c41_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==50) {
    c50_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==59) {
    c59_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==60) {
    c60_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==61) {
    c61_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==62) {
    c62_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==63) {
    c63_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==64) {
    c64_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==65) {
    c65_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  if (chartFileNumber==66) {
    c66_diffserv_model_method_dispatcher(simstructPtr, method, data);
    return 1;
  }

  return 0;
}

unsigned int sf_diffserv_model_process_check_sum_call( int nlhs, mxArray * plhs[],
  int nrhs, const mxArray * prhs[] )
{

#ifdef MATLAB_MEX_FILE

  char commandName[20];
  if (nrhs<1 || !mxIsChar(prhs[0]) )
    return 0;

  /* Possible call to get the checksum */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"sf_get_check_sum"))
    return 0;
  plhs[0] = mxCreateDoubleMatrix( 1,4,mxREAL);
  if (nrhs>1 && mxIsChar(prhs[1])) {
    mxGetString(prhs[1], commandName,sizeof(commandName)/sizeof(char));
    commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
    if (!strcmp(commandName,"machine")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(4218843712U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(915421644U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(1037372317U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(477118541U);
    } else if (!strcmp(commandName,"exportedFcn")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(0U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(0U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(0U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(0U);
    } else if (!strcmp(commandName,"makefile")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(4028439878U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(3771620216U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(3812696230U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(2417731960U);
    } else if (nrhs==3 && !strcmp(commandName,"chart")) {
      unsigned int chartFileNumber;
      chartFileNumber = (unsigned int)mxGetScalar(prhs[2]);
      switch (chartFileNumber) {
       case 1:
        {
          extern void sf_c1_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c1_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 2:
        {
          extern void sf_c2_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c2_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 3:
        {
          extern void sf_c3_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c3_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 4:
        {
          extern void sf_c4_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c4_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 5:
        {
          extern void sf_c5_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c5_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 6:
        {
          extern void sf_c6_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c6_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 7:
        {
          extern void sf_c7_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c7_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 8:
        {
          extern void sf_c8_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c8_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 9:
        {
          extern void sf_c9_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c9_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 10:
        {
          extern void sf_c10_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c10_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 11:
        {
          extern void sf_c11_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c11_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 12:
        {
          extern void sf_c12_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c12_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 13:
        {
          extern void sf_c13_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c13_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 14:
        {
          extern void sf_c14_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c14_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 15:
        {
          extern void sf_c15_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c15_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 16:
        {
          extern void sf_c16_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c16_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 17:
        {
          extern void sf_c17_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c17_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 18:
        {
          extern void sf_c18_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c18_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 19:
        {
          extern void sf_c19_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c19_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 20:
        {
          extern void sf_c20_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c20_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 21:
        {
          extern void sf_c21_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c21_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 22:
        {
          extern void sf_c22_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c22_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 23:
        {
          extern void sf_c23_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c23_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 24:
        {
          extern void sf_c24_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c24_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 25:
        {
          extern void sf_c25_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c25_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 26:
        {
          extern void sf_c26_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c26_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 27:
        {
          extern void sf_c27_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c27_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 28:
        {
          extern void sf_c28_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c28_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 29:
        {
          extern void sf_c29_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c29_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 30:
        {
          extern void sf_c30_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c30_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 31:
        {
          extern void sf_c31_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c31_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 32:
        {
          extern void sf_c32_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c32_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 33:
        {
          extern void sf_c33_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c33_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 34:
        {
          extern void sf_c34_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c34_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 35:
        {
          extern void sf_c35_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c35_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 36:
        {
          extern void sf_c36_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c36_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 37:
        {
          extern void sf_c37_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c37_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 38:
        {
          extern void sf_c38_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c38_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 39:
        {
          extern void sf_c39_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c39_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 40:
        {
          extern void sf_c40_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c40_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 41:
        {
          extern void sf_c41_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c41_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 50:
        {
          extern void sf_c50_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c50_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 59:
        {
          extern void sf_c59_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c59_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 60:
        {
          extern void sf_c60_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c60_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 61:
        {
          extern void sf_c61_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c61_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 62:
        {
          extern void sf_c62_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c62_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 63:
        {
          extern void sf_c63_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c63_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 64:
        {
          extern void sf_c64_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c64_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 65:
        {
          extern void sf_c65_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c65_diffserv_model_get_check_sum(plhs);
          break;
        }

       case 66:
        {
          extern void sf_c66_diffserv_model_get_check_sum(mxArray *plhs[]);
          sf_c66_diffserv_model_get_check_sum(plhs);
          break;
        }

       default:
        ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(0.0);
        ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(0.0);
        ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(0.0);
        ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(0.0);
      }
    } else if (!strcmp(commandName,"target")) {
      ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(653973306U);
      ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(2688152916U);
      ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(1090847732U);
      ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(272934411U);
    } else {
      return 0;
    }
  } else {
    ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(121882608U);
    ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(3385747710U);
    ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(2830458709U);
    ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(2257266406U);
  }

  return 1;

#else

  return 0;

#endif

}

unsigned int sf_diffserv_model_autoinheritance_info( int nlhs, mxArray * plhs[],
  int nrhs, const mxArray * prhs[] )
{

#ifdef MATLAB_MEX_FILE

  char commandName[32];
  char aiChksum[64];
  if (nrhs<3 || !mxIsChar(prhs[0]) )
    return 0;

  /* Possible call to get the autoinheritance_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_autoinheritance_info"))
    return 0;
  mxGetString(prhs[2], aiChksum,sizeof(aiChksum)/sizeof(char));
  aiChksum[(sizeof(aiChksum)/sizeof(char)-1)] = '\0';

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 1:
      {
        if (strcmp(aiChksum, "rXWg17u43cSqgJHbW9WszG") == 0) {
          extern mxArray *sf_c1_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c1_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 2:
      {
        if (strcmp(aiChksum, "C2G9YU9XnBViohUQcwMsPE") == 0) {
          extern mxArray *sf_c2_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c2_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 3:
      {
        if (strcmp(aiChksum, "ItoFxSs4CxOmZ1HgV324aE") == 0) {
          extern mxArray *sf_c3_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c3_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 4:
      {
        if (strcmp(aiChksum, "bPxZ06PYXjVrYggyuxRUNG") == 0) {
          extern mxArray *sf_c4_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c4_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 5:
      {
        if (strcmp(aiChksum, "W3Hn2qaS0unU4sVChsubEF") == 0) {
          extern mxArray *sf_c5_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c5_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 6:
      {
        if (strcmp(aiChksum, "IfIjIyprcrQCSXNcDM0KKG") == 0) {
          extern mxArray *sf_c6_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c6_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 7:
      {
        if (strcmp(aiChksum, "xtFr7KlD3kenaWv8p0T1YB") == 0) {
          extern mxArray *sf_c7_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c7_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 8:
      {
        if (strcmp(aiChksum, "uJCNVtXPq0IPrhGim13T0G") == 0) {
          extern mxArray *sf_c8_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c8_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 9:
      {
        if (strcmp(aiChksum, "2Q83vfFvAKgtO0PR18pOmD") == 0) {
          extern mxArray *sf_c9_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c9_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 10:
      {
        if (strcmp(aiChksum, "rXWg17u43cSqgJHbW9WszG") == 0) {
          extern mxArray *sf_c10_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c10_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 11:
      {
        if (strcmp(aiChksum, "C2G9YU9XnBViohUQcwMsPE") == 0) {
          extern mxArray *sf_c11_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c11_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 12:
      {
        if (strcmp(aiChksum, "ItoFxSs4CxOmZ1HgV324aE") == 0) {
          extern mxArray *sf_c12_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c12_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 13:
      {
        if (strcmp(aiChksum, "bPxZ06PYXjVrYggyuxRUNG") == 0) {
          extern mxArray *sf_c13_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c13_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 14:
      {
        if (strcmp(aiChksum, "W3Hn2qaS0unU4sVChsubEF") == 0) {
          extern mxArray *sf_c14_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c14_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 15:
      {
        if (strcmp(aiChksum, "IfIjIyprcrQCSXNcDM0KKG") == 0) {
          extern mxArray *sf_c15_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c15_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 16:
      {
        if (strcmp(aiChksum, "xtFr7KlD3kenaWv8p0T1YB") == 0) {
          extern mxArray *sf_c16_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c16_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 17:
      {
        if (strcmp(aiChksum, "uJCNVtXPq0IPrhGim13T0G") == 0) {
          extern mxArray *sf_c17_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c17_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 18:
      {
        if (strcmp(aiChksum, "rXWg17u43cSqgJHbW9WszG") == 0) {
          extern mxArray *sf_c18_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c18_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 19:
      {
        if (strcmp(aiChksum, "C2G9YU9XnBViohUQcwMsPE") == 0) {
          extern mxArray *sf_c19_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c19_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 20:
      {
        if (strcmp(aiChksum, "ItoFxSs4CxOmZ1HgV324aE") == 0) {
          extern mxArray *sf_c20_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c20_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 21:
      {
        if (strcmp(aiChksum, "bPxZ06PYXjVrYggyuxRUNG") == 0) {
          extern mxArray *sf_c21_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c21_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 22:
      {
        if (strcmp(aiChksum, "W3Hn2qaS0unU4sVChsubEF") == 0) {
          extern mxArray *sf_c22_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c22_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 23:
      {
        if (strcmp(aiChksum, "IfIjIyprcrQCSXNcDM0KKG") == 0) {
          extern mxArray *sf_c23_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c23_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 24:
      {
        if (strcmp(aiChksum, "xtFr7KlD3kenaWv8p0T1YB") == 0) {
          extern mxArray *sf_c24_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c24_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 25:
      {
        if (strcmp(aiChksum, "uJCNVtXPq0IPrhGim13T0G") == 0) {
          extern mxArray *sf_c25_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c25_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 26:
      {
        if (strcmp(aiChksum, "rXWg17u43cSqgJHbW9WszG") == 0) {
          extern mxArray *sf_c26_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c26_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 27:
      {
        if (strcmp(aiChksum, "C2G9YU9XnBViohUQcwMsPE") == 0) {
          extern mxArray *sf_c27_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c27_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 28:
      {
        if (strcmp(aiChksum, "ItoFxSs4CxOmZ1HgV324aE") == 0) {
          extern mxArray *sf_c28_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c28_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 29:
      {
        if (strcmp(aiChksum, "bPxZ06PYXjVrYggyuxRUNG") == 0) {
          extern mxArray *sf_c29_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c29_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 30:
      {
        if (strcmp(aiChksum, "W3Hn2qaS0unU4sVChsubEF") == 0) {
          extern mxArray *sf_c30_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c30_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 31:
      {
        if (strcmp(aiChksum, "IfIjIyprcrQCSXNcDM0KKG") == 0) {
          extern mxArray *sf_c31_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c31_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 32:
      {
        if (strcmp(aiChksum, "xtFr7KlD3kenaWv8p0T1YB") == 0) {
          extern mxArray *sf_c32_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c32_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 33:
      {
        if (strcmp(aiChksum, "uJCNVtXPq0IPrhGim13T0G") == 0) {
          extern mxArray *sf_c33_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c33_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 34:
      {
        if (strcmp(aiChksum, "rXWg17u43cSqgJHbW9WszG") == 0) {
          extern mxArray *sf_c34_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c34_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 35:
      {
        if (strcmp(aiChksum, "C2G9YU9XnBViohUQcwMsPE") == 0) {
          extern mxArray *sf_c35_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c35_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 36:
      {
        if (strcmp(aiChksum, "ItoFxSs4CxOmZ1HgV324aE") == 0) {
          extern mxArray *sf_c36_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c36_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 37:
      {
        if (strcmp(aiChksum, "bPxZ06PYXjVrYggyuxRUNG") == 0) {
          extern mxArray *sf_c37_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c37_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 38:
      {
        if (strcmp(aiChksum, "W3Hn2qaS0unU4sVChsubEF") == 0) {
          extern mxArray *sf_c38_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c38_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 39:
      {
        if (strcmp(aiChksum, "IfIjIyprcrQCSXNcDM0KKG") == 0) {
          extern mxArray *sf_c39_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c39_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 40:
      {
        if (strcmp(aiChksum, "xtFr7KlD3kenaWv8p0T1YB") == 0) {
          extern mxArray *sf_c40_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c40_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 41:
      {
        if (strcmp(aiChksum, "uJCNVtXPq0IPrhGim13T0G") == 0) {
          extern mxArray *sf_c41_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c41_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 50:
      {
        if (strcmp(aiChksum, "kBoVJGADrvRcAeOrWD8WfF") == 0) {
          extern mxArray *sf_c50_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c50_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 59:
      {
        if (strcmp(aiChksum, "rXWg17u43cSqgJHbW9WszG") == 0) {
          extern mxArray *sf_c59_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c59_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 60:
      {
        if (strcmp(aiChksum, "C2G9YU9XnBViohUQcwMsPE") == 0) {
          extern mxArray *sf_c60_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c60_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 61:
      {
        if (strcmp(aiChksum, "ItoFxSs4CxOmZ1HgV324aE") == 0) {
          extern mxArray *sf_c61_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c61_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 62:
      {
        if (strcmp(aiChksum, "bPxZ06PYXjVrYggyuxRUNG") == 0) {
          extern mxArray *sf_c62_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c62_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 63:
      {
        if (strcmp(aiChksum, "W3Hn2qaS0unU4sVChsubEF") == 0) {
          extern mxArray *sf_c63_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c63_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 64:
      {
        if (strcmp(aiChksum, "IfIjIyprcrQCSXNcDM0KKG") == 0) {
          extern mxArray *sf_c64_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c64_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 65:
      {
        if (strcmp(aiChksum, "xtFr7KlD3kenaWv8p0T1YB") == 0) {
          extern mxArray *sf_c65_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c65_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     case 66:
      {
        if (strcmp(aiChksum, "uJCNVtXPq0IPrhGim13T0G") == 0) {
          extern mxArray *sf_c66_diffserv_model_get_autoinheritance_info(void);
          plhs[0] = sf_c66_diffserv_model_get_autoinheritance_info();
          break;
        }

        plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
        break;
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;

#else

  return 0;

#endif

}

unsigned int sf_diffserv_model_get_eml_resolved_functions_info( int nlhs,
  mxArray * plhs[], int nrhs, const mxArray * prhs[] )
{

#ifdef MATLAB_MEX_FILE

  char commandName[64];
  if (nrhs<2 || !mxIsChar(prhs[0]))
    return 0;

  /* Possible call to get the get_eml_resolved_functions_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_eml_resolved_functions_info"))
    return 0;

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 1:
      {
        extern const mxArray
          *sf_c1_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c1_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 2:
      {
        extern const mxArray
          *sf_c2_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c2_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 3:
      {
        extern const mxArray
          *sf_c3_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c3_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 4:
      {
        extern const mxArray
          *sf_c4_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c4_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 5:
      {
        extern const mxArray
          *sf_c5_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c5_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 6:
      {
        extern const mxArray
          *sf_c6_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c6_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 7:
      {
        extern const mxArray
          *sf_c7_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c7_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 8:
      {
        extern const mxArray
          *sf_c8_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c8_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 9:
      {
        extern const mxArray
          *sf_c9_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c9_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 10:
      {
        extern const mxArray
          *sf_c10_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c10_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 11:
      {
        extern const mxArray
          *sf_c11_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c11_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 12:
      {
        extern const mxArray
          *sf_c12_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c12_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 13:
      {
        extern const mxArray
          *sf_c13_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c13_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 14:
      {
        extern const mxArray
          *sf_c14_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c14_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 15:
      {
        extern const mxArray
          *sf_c15_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c15_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 16:
      {
        extern const mxArray
          *sf_c16_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c16_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 17:
      {
        extern const mxArray
          *sf_c17_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c17_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 18:
      {
        extern const mxArray
          *sf_c18_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c18_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 19:
      {
        extern const mxArray
          *sf_c19_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c19_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 20:
      {
        extern const mxArray
          *sf_c20_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c20_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 21:
      {
        extern const mxArray
          *sf_c21_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c21_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 22:
      {
        extern const mxArray
          *sf_c22_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c22_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 23:
      {
        extern const mxArray
          *sf_c23_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c23_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 24:
      {
        extern const mxArray
          *sf_c24_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c24_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 25:
      {
        extern const mxArray
          *sf_c25_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c25_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 26:
      {
        extern const mxArray
          *sf_c26_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c26_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 27:
      {
        extern const mxArray
          *sf_c27_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c27_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 28:
      {
        extern const mxArray
          *sf_c28_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c28_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 29:
      {
        extern const mxArray
          *sf_c29_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c29_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 30:
      {
        extern const mxArray
          *sf_c30_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c30_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 31:
      {
        extern const mxArray
          *sf_c31_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c31_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 32:
      {
        extern const mxArray
          *sf_c32_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c32_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 33:
      {
        extern const mxArray
          *sf_c33_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c33_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 34:
      {
        extern const mxArray
          *sf_c34_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c34_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 35:
      {
        extern const mxArray
          *sf_c35_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c35_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 36:
      {
        extern const mxArray
          *sf_c36_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c36_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 37:
      {
        extern const mxArray
          *sf_c37_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c37_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 38:
      {
        extern const mxArray
          *sf_c38_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c38_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 39:
      {
        extern const mxArray
          *sf_c39_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c39_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 40:
      {
        extern const mxArray
          *sf_c40_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c40_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 41:
      {
        extern const mxArray
          *sf_c41_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c41_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 50:
      {
        extern const mxArray
          *sf_c50_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c50_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 59:
      {
        extern const mxArray
          *sf_c59_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c59_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 60:
      {
        extern const mxArray
          *sf_c60_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c60_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 61:
      {
        extern const mxArray
          *sf_c61_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c61_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 62:
      {
        extern const mxArray
          *sf_c62_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c62_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 63:
      {
        extern const mxArray
          *sf_c63_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c63_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 64:
      {
        extern const mxArray
          *sf_c64_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c64_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 65:
      {
        extern const mxArray
          *sf_c65_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c65_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     case 66:
      {
        extern const mxArray
          *sf_c66_diffserv_model_get_eml_resolved_functions_info(void);
        mxArray *persistentMxArray = (mxArray *)
          sf_c66_diffserv_model_get_eml_resolved_functions_info();
        plhs[0] = mxDuplicateArray(persistentMxArray);
        mxDestroyArray(persistentMxArray);
        break;
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;

#else

  return 0;

#endif

}

unsigned int sf_diffserv_model_third_party_uses_info( int nlhs, mxArray * plhs[],
  int nrhs, const mxArray * prhs[] )
{
  char commandName[64];
  char tpChksum[64];
  if (nrhs<3 || !mxIsChar(prhs[0]))
    return 0;

  /* Possible call to get the third_party_uses_info */
  mxGetString(prhs[0], commandName,sizeof(commandName)/sizeof(char));
  commandName[(sizeof(commandName)/sizeof(char)-1)] = '\0';
  mxGetString(prhs[2], tpChksum,sizeof(tpChksum)/sizeof(char));
  tpChksum[(sizeof(tpChksum)/sizeof(char)-1)] = '\0';
  if (strcmp(commandName,"get_third_party_uses_info"))
    return 0;

  {
    unsigned int chartFileNumber;
    chartFileNumber = (unsigned int)mxGetScalar(prhs[1]);
    switch (chartFileNumber) {
     case 1:
      {
        if (strcmp(tpChksum, "uPfbjueUTfKpf8lJrGQqFH") == 0) {
          extern mxArray *sf_c1_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c1_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 2:
      {
        if (strcmp(tpChksum, "lE8ZY1IMgvdaVTJuYCDGjF") == 0) {
          extern mxArray *sf_c2_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c2_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 3:
      {
        if (strcmp(tpChksum, "Kyln8e61lRu57J1Qo8WxDE") == 0) {
          extern mxArray *sf_c3_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c3_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 4:
      {
        if (strcmp(tpChksum, "WmgdSDSo6cUz8A35C2Bt5E") == 0) {
          extern mxArray *sf_c4_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c4_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 5:
      {
        if (strcmp(tpChksum, "lAlpHZzMhNJ2Bb5DkuIP6B") == 0) {
          extern mxArray *sf_c5_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c5_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 6:
      {
        if (strcmp(tpChksum, "AxfMCuXqHe3SlJs45voNpD") == 0) {
          extern mxArray *sf_c6_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c6_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 7:
      {
        if (strcmp(tpChksum, "wG2OafCZNgJntcUIa1GKFB") == 0) {
          extern mxArray *sf_c7_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c7_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 8:
      {
        if (strcmp(tpChksum, "SOFhyw8lhhK1SqMOHaAnWG") == 0) {
          extern mxArray *sf_c8_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c8_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 9:
      {
        if (strcmp(tpChksum, "itf6HEsv52Wdv2u3wTJgZF") == 0) {
          extern mxArray *sf_c9_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c9_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 10:
      {
        if (strcmp(tpChksum, "uPfbjueUTfKpf8lJrGQqFH") == 0) {
          extern mxArray *sf_c10_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c10_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 11:
      {
        if (strcmp(tpChksum, "lE8ZY1IMgvdaVTJuYCDGjF") == 0) {
          extern mxArray *sf_c11_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c11_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 12:
      {
        if (strcmp(tpChksum, "Kyln8e61lRu57J1Qo8WxDE") == 0) {
          extern mxArray *sf_c12_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c12_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 13:
      {
        if (strcmp(tpChksum, "WmgdSDSo6cUz8A35C2Bt5E") == 0) {
          extern mxArray *sf_c13_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c13_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 14:
      {
        if (strcmp(tpChksum, "lAlpHZzMhNJ2Bb5DkuIP6B") == 0) {
          extern mxArray *sf_c14_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c14_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 15:
      {
        if (strcmp(tpChksum, "AxfMCuXqHe3SlJs45voNpD") == 0) {
          extern mxArray *sf_c15_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c15_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 16:
      {
        if (strcmp(tpChksum, "wG2OafCZNgJntcUIa1GKFB") == 0) {
          extern mxArray *sf_c16_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c16_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 17:
      {
        if (strcmp(tpChksum, "SOFhyw8lhhK1SqMOHaAnWG") == 0) {
          extern mxArray *sf_c17_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c17_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 18:
      {
        if (strcmp(tpChksum, "uPfbjueUTfKpf8lJrGQqFH") == 0) {
          extern mxArray *sf_c18_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c18_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 19:
      {
        if (strcmp(tpChksum, "lE8ZY1IMgvdaVTJuYCDGjF") == 0) {
          extern mxArray *sf_c19_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c19_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 20:
      {
        if (strcmp(tpChksum, "Kyln8e61lRu57J1Qo8WxDE") == 0) {
          extern mxArray *sf_c20_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c20_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 21:
      {
        if (strcmp(tpChksum, "WmgdSDSo6cUz8A35C2Bt5E") == 0) {
          extern mxArray *sf_c21_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c21_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 22:
      {
        if (strcmp(tpChksum, "lAlpHZzMhNJ2Bb5DkuIP6B") == 0) {
          extern mxArray *sf_c22_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c22_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 23:
      {
        if (strcmp(tpChksum, "AxfMCuXqHe3SlJs45voNpD") == 0) {
          extern mxArray *sf_c23_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c23_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 24:
      {
        if (strcmp(tpChksum, "wG2OafCZNgJntcUIa1GKFB") == 0) {
          extern mxArray *sf_c24_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c24_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 25:
      {
        if (strcmp(tpChksum, "SOFhyw8lhhK1SqMOHaAnWG") == 0) {
          extern mxArray *sf_c25_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c25_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 26:
      {
        if (strcmp(tpChksum, "uPfbjueUTfKpf8lJrGQqFH") == 0) {
          extern mxArray *sf_c26_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c26_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 27:
      {
        if (strcmp(tpChksum, "lE8ZY1IMgvdaVTJuYCDGjF") == 0) {
          extern mxArray *sf_c27_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c27_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 28:
      {
        if (strcmp(tpChksum, "Kyln8e61lRu57J1Qo8WxDE") == 0) {
          extern mxArray *sf_c28_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c28_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 29:
      {
        if (strcmp(tpChksum, "WmgdSDSo6cUz8A35C2Bt5E") == 0) {
          extern mxArray *sf_c29_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c29_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 30:
      {
        if (strcmp(tpChksum, "lAlpHZzMhNJ2Bb5DkuIP6B") == 0) {
          extern mxArray *sf_c30_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c30_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 31:
      {
        if (strcmp(tpChksum, "AxfMCuXqHe3SlJs45voNpD") == 0) {
          extern mxArray *sf_c31_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c31_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 32:
      {
        if (strcmp(tpChksum, "wG2OafCZNgJntcUIa1GKFB") == 0) {
          extern mxArray *sf_c32_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c32_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 33:
      {
        if (strcmp(tpChksum, "SOFhyw8lhhK1SqMOHaAnWG") == 0) {
          extern mxArray *sf_c33_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c33_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 34:
      {
        if (strcmp(tpChksum, "uPfbjueUTfKpf8lJrGQqFH") == 0) {
          extern mxArray *sf_c34_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c34_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 35:
      {
        if (strcmp(tpChksum, "lE8ZY1IMgvdaVTJuYCDGjF") == 0) {
          extern mxArray *sf_c35_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c35_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 36:
      {
        if (strcmp(tpChksum, "Kyln8e61lRu57J1Qo8WxDE") == 0) {
          extern mxArray *sf_c36_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c36_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 37:
      {
        if (strcmp(tpChksum, "WmgdSDSo6cUz8A35C2Bt5E") == 0) {
          extern mxArray *sf_c37_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c37_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 38:
      {
        if (strcmp(tpChksum, "lAlpHZzMhNJ2Bb5DkuIP6B") == 0) {
          extern mxArray *sf_c38_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c38_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 39:
      {
        if (strcmp(tpChksum, "AxfMCuXqHe3SlJs45voNpD") == 0) {
          extern mxArray *sf_c39_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c39_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 40:
      {
        if (strcmp(tpChksum, "wG2OafCZNgJntcUIa1GKFB") == 0) {
          extern mxArray *sf_c40_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c40_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 41:
      {
        if (strcmp(tpChksum, "SOFhyw8lhhK1SqMOHaAnWG") == 0) {
          extern mxArray *sf_c41_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c41_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 50:
      {
        if (strcmp(tpChksum, "hKaItmvCMDxZN8sHl2Iv5C") == 0) {
          extern mxArray *sf_c50_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c50_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 59:
      {
        if (strcmp(tpChksum, "uPfbjueUTfKpf8lJrGQqFH") == 0) {
          extern mxArray *sf_c59_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c59_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 60:
      {
        if (strcmp(tpChksum, "lE8ZY1IMgvdaVTJuYCDGjF") == 0) {
          extern mxArray *sf_c60_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c60_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 61:
      {
        if (strcmp(tpChksum, "Kyln8e61lRu57J1Qo8WxDE") == 0) {
          extern mxArray *sf_c61_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c61_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 62:
      {
        if (strcmp(tpChksum, "WmgdSDSo6cUz8A35C2Bt5E") == 0) {
          extern mxArray *sf_c62_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c62_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 63:
      {
        if (strcmp(tpChksum, "lAlpHZzMhNJ2Bb5DkuIP6B") == 0) {
          extern mxArray *sf_c63_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c63_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 64:
      {
        if (strcmp(tpChksum, "AxfMCuXqHe3SlJs45voNpD") == 0) {
          extern mxArray *sf_c64_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c64_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 65:
      {
        if (strcmp(tpChksum, "wG2OafCZNgJntcUIa1GKFB") == 0) {
          extern mxArray *sf_c65_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c65_diffserv_model_third_party_uses_info();
          break;
        }
      }

     case 66:
      {
        if (strcmp(tpChksum, "SOFhyw8lhhK1SqMOHaAnWG") == 0) {
          extern mxArray *sf_c66_diffserv_model_third_party_uses_info(void);
          plhs[0] = sf_c66_diffserv_model_third_party_uses_info();
          break;
        }
      }

     default:
      plhs[0] = mxCreateDoubleMatrix(0,0,mxREAL);
    }
  }

  return 1;
}

void diffserv_model_debug_initialize(struct SfDebugInstanceStruct* debugInstance)
{
  _diffserv_modelMachineNumber_ = sf_debug_initialize_machine(debugInstance,
    "diffserv_model","sfun",0,50,0,0,0);
  sf_debug_set_machine_event_thresholds(debugInstance,
    _diffserv_modelMachineNumber_,0,0);
  sf_debug_set_machine_data_thresholds(debugInstance,
    _diffserv_modelMachineNumber_,0);
}

void diffserv_model_register_exported_symbols(SimStruct* S)
{
}

static mxArray* sRtwOptimizationInfoStruct= NULL;
mxArray* load_diffserv_model_optimization_info(void)
{
  if (sRtwOptimizationInfoStruct==NULL) {
    sRtwOptimizationInfoStruct = sf_load_rtw_optimization_info("diffserv_model",
      "diffserv_model");
    mexMakeArrayPersistent(sRtwOptimizationInfoStruct);
  }

  return(sRtwOptimizationInfoStruct);
}

void unload_diffserv_model_optimization_info(void)
{
  if (sRtwOptimizationInfoStruct!=NULL) {
    mxDestroyArray(sRtwOptimizationInfoStruct);
    sRtwOptimizationInfoStruct = NULL;
  }
}
